#include <stdio.h>
#include <stdlib.h>

int main()
{
     int p,q,r,i;
     long long int L,R,c=0;
    scanf("%d %d %d %lli %lli",&p,&q,&r,&L,&R);
    if(p>=3 && q>=3 && r>=3)
    {
        if(L>2)
            c=R-L+1;
        else
            c=R-2;
    }
    else{
    for(i=L;i<=R;i++)
    {

       if(ceil(1.0*i/p)+ceil(1.0*i/q)+ceil(1.0*i/r)<=i)
            c++;
    }
    }
    printf("%lli",c);
}